Get Coins By Creator
Query Template
Filtering Options
Parameter | Type | Description |
|---|---|---|
where | object | An object that filters results based on specific conditions. |
limit | integer | The maximum number of results to return. |
offset | integer | Specifies the starting position of the results. |
order_by | object | An object that specifies the criteria for sorting results. Multiple fields can be used as sorting criteria. |
Query Fields
Field | Type | Description |
|---|---|---|
asset_type | string | A unique string that identifies the asset type. |
name | string | The name of the asset. |
creator_address | string | The address of the asset creator. |
decimals | integer | An integer representing the number of decimal places of the asset. |
symbol | string | The symbol of the asset. |
last_transaction_timestamp | string | The timestamp of the last transaction (ISO 8601 format). |
last_transaction_version | integer | An integer representing the version of the last transaction. |
Example
Request Example
query MyQuery {
fungible_asset_metadata(
where: {
creator_address: {
_in: [
"0xbd35135844473187163ca197ca93b2ab014370587bb0ed3befff9e902d6bb541",
"0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8"
]
}
}
limit: 5
offset: 0
order_by: {creator_address: asc}
) {
asset_type
name
creator_address
decimals
symbol
last_transaction_timestamp
last_transaction_version
}
}
Response Example
{
"data": {
"fungible_asset_metadata": [
{
"asset_type": "0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8::lp_coin::LP<0x1::aptos_coin::AptosCoin, 0x5a1e84cdd217034d764abb91bf20aa0536c5a8c900831a37b393fe3af98c3f55::thepeoplecoin::The_People, 0x163df34fccbf003ce219d3f1d9e70d140b60622cb9dd47599c25fb2f797ba6e::curves::Uncorrelated>",
"name": "LS05 LP-APT-People-U",
"creator_address": "0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8",
"decimals": 6,
"symbol": "APT-PeopU",
"last_transaction_timestamp": "2024-03-17T16:04:32",
"last_transaction_version": 505220267
},
{
"asset_type": "0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8::lp_coin::LP<0x8d87a65ba30e09357fa2edea2c80dbac296e5dec2b18287113500b902942929d::celer_coin_manager::BnbCoin, 0x159df6b7689437016108a019fd5bef736bac692b6d4a1f10c941f6fbb9a74ca6::oft::CakeOFT, 0x163df34fccbf003ce219d3f1d9e70d140b60622cb9dd47599c25fb2f797ba6e::curves::Uncorrelated>",
"name": "LS05 LP-BNB-Cake-U",
"creator_address": "0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8",
"decimals": 6,
"symbol": "BNB-CakeU",
"last_transaction_timestamp": "2024-05-01T17:00:22",
"last_transaction_version": 579621106
},
{
"asset_type": "0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8::lp_coin::LP<0x5e156f1207d0ebfa19a9eeff00d62a282278fb8719f4fab3a586a0a2c0fffbea::coin::T, 0x7c170d602111c0aa42840c192ec985476ab4952bd264c4f80d0c795025aca18a::coin::T, 0x163df34fccbf003ce219d3f1d9e70d140b60622cb9dd47599c25fb2f797ba6e::curves::Stable>",
"name": "LS05 LP-USDC-APT-S",
"creator_address": "0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8",
"decimals": 6,
"symbol": "USDC-APTS",
"last_transaction_timestamp": "2023-10-27T16:58:58",
"last_transaction_version": 312162936
},
{
"asset_type": "0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8::lp_coin::LP<0xa2eda21a58856fda86451436513b867c97eecb4ba099da5775520e0f7492e852::coin::T, 0xdd89c0e695df0692205912fb69fc290418bed0dbe6e4573d744a6d5e6bab6c13::coin::T, 0x163df34fccbf003ce219d3f1d9e70d140b60622cb9dd47599c25fb2f797ba6e::curves::Uncorrelated>",
"name": "LS05 LP-USDT-SOL-U",
"creator_address": "0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8",
"decimals": 6,
"symbol": "USDT-SOLU",
"last_transaction_timestamp": "2023-10-27T17:49:07",
"last_transaction_version": 312198611
},
{
"asset_type": "0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8::lp_coin::LP<0x58a6307681e72f4c3b0d7bbb3fb47b73b968b683a727566f2b438d1cc01edf94::dude::DUDE, 0x1::aptos_coin::AptosCoin, 0x163df34fccbf003ce219d3f1d9e70d140b60622cb9dd47599c25fb2f797ba6e::curves::Uncorrelated>",
"name": "LS05 LP-DUDE-APT-U",
"creator_address": "0x61d2c22a6cb7831bee0f48363b0eec92369357aece0d1142062f7d5d85c7bef8",
"decimals": 6,
"symbol": "DUDE-APTU",
"last_transaction_timestamp": "2023-06-05T15:58:59",
"last_transaction_version": 153989319
}
]
}
}